<template>
  <div class="container">
    <div class="title">Categories</div>
    <div class="d-flex justify-content-around align-items-center">
      <RouterLink
        v-for="(category, index) in categories"
        :key="index"
        class="nav-item btn btn-dark"
        :to="{
          name: 'category',
          params: { tag: category }
        }"
      >
        {{ category }}
      </RouterLink>
    </div>
    <RouterView :key="$router.path" />
  </div>
</template>

<script setup>
import { ref } from 'vue'
import { getData } from '@/categories'

const categories = ref([])
getData().then((data) => (categories.value = data))
</script>

<style lang="scss" scoped>
.title {
  font-family: 'Poppins', sans-serif;
  font-size: 2em;
  font-weight: bold;
  padding-left: 12px;
}
</style>
